#include <io.h>
#include <delay.h>

void main(void)
{
    DDRA  = 0xFF;
              
    while(1)
    {       
        PORTA++;       
        if(PORTA > 10)
        {            
            PORTA = 0;
        }
        delay_ms(500);
    }
}




























//    PORTA++; 
//    delay_ms(500);
//    PORTA++;
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;    